import { EnvironmentProviders, Provider } from "@angular/core";
export declare enum HateoasClientFeatureKind {
    AxiosRequestManager = 0,
    AngularRequestManager = 1
}
export interface HateoasClientFeature {
    kind: HateoasClientFeatureKind;
    providers: Provider[];
}
export declare function withAxiosRequestManager(): HateoasClientFeature;
export declare function withAngularRequestManager(): HateoasClientFeature;
export declare function provideHateoasClient(...features: HateoasClientFeature[]): EnvironmentProviders;
